Donate to e Foundation | Murena handsets with /e/OS | Own a part of Murena! Learn more

Commit a0e02f4b authored by Treehugger Robot's avatar Treehugger Robot Committed by Automerger Merge Worker
Browse files

Merge "Add additional documentation in metrics proto regen.sh script." am: 0807abac

Original change: https://android-review.googlesource.com/c/platform/build/soong/+/1455145

Change-Id: Ib124890fb89d09ec09b518189c1ea704b6963bd0
parents f36b0613 0807abac
Loading
Loading
Loading
Loading
+15 −1
Original line number Diff line number Diff line
#!/bin/bash

aprotoc --go_out=paths=source_relative:. metrics.proto
# Generates the golang source file of metrics.proto protobuf file.

set -e

function die() { echo "ERROR: $1" >&2; exit 1; }

readonly error_msg="Maybe you need to run 'lunch aosp_arm-eng && m aprotoc blueprint_tools'?"

if ! hash aprotoc &>/dev/null; then
  die "could not find aprotoc. ${error_msg}"
fi

if ! aprotoc --go_out=paths=source_relative:. metrics.proto; then
  die "build failed. ${error_msg}"
fi